﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Login.aspx.cs" Inherits="reference_lss.Login" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Signaturcentral login</title>
    <script type="text/javascript" src="<%= ResolveUrl("~/Scripts/jquery-1.7.1.min.js") %>"></script>
    <script type="text/javascript" src="Scripts/helppopup.js"></script>
    <script type="text/javascript" src="Scripts/populate.js"></script>
    <link rel="stylesheet" type="text/css" href="css/templatecss.css" />
</head>
<body>
    <form id="loginform" runat="server" method="post" action="dologin.aspx">
        
    <div id="help" class="helpPopup">
        <div>
            <span class="helpPopupHeader">LSS implementation</span>
         </div>
         <div class="helpPopupContent">
            <span class="helpPopupContentHeader">Hjælp til bruger-id</span> 
            <p>
                Som bruger-id kan du bruge det bruger-id du har på Signatur opbevaringen. Hvis du ikke kan huske det 
                eller hvis du ikke har et skal du henvende dig hos administratoren af Signatur opbevaringen.
            </p>
        </div>
        <div class="helpPopupCloseLinkArea">
            <a onclick="hideHelp('help')">
                <span style="cursor: pointer" class="helpPopupClose">Luk</span>
            </a>
        </div>
    </div>
        
    <div id="login" class="loginFrame">
        <div class="loginFrameHeader">
            <span class="loginFrameHeaderText">LSS implement</span>
            <input type="button" onclick="showHelp('help')" tabindex="6" class="loginHelpButton" value="?"/>
        </div>
        <div id="loginContent"class="loginFrameContent">
            <span class="logontoText"><%=GetLogonTo()%></span>
            <div>
                <div class="loginLabeledInput">
                    <span  class="loginLabeledInputLabel">Bruger-id</span>
                    <div style="width: 100%">
                        <input id="userInput" class="loginLabeledInputInput" type="text" name="brugernavn" autocomplete="off" tabindex="1"/> 
                    </div>
                    <div style="float:right; margin-right:10px; font-size: 10pt">
                        <input id="rememberme" type="checkbox" name="rememberme" tabindex="2"/>
                        Husk bruger-id
                    </div>
                </div>
                
                <div class="loginLabeledInput">
                    <span class="loginLabeledInputLabel">Adgangskode</span>
                    <div style="width:100%">
                        <input id="passwordInput" class="loginLabeledInputInput" type="password" name="password" autocomplete="off" tabindex="3"/>                    
                    </div>
                </div>

                <div id="certificateSelectDiv" class="loginLabeledInput">
                    <span  class="loginLabeledInputLabel">Certifikat</span>
                    <div id="certificateSelectInputDiv" style="width: 100%">
                    </div>                    
                </div>

            </div>
            <div style="height: 15px">
                <span id="errorText" style="color:red; font-size: 8pt; display: none">Fejl i adgangskode</span>
            </div>
            <div class="loginButtonArea">
                <input type="submit" class="loginButton" value="Login" tabindex="5"/>
            </div>
        </div>
        
        <script type="text/javascript">
            (function() {
                document.getElementById("userInput").onkeydown = (function () {
                    document.getElementById("passwordInput").style.borderColor = "";
                    document.getElementById("userInput").style.borderColor = "";
                    document.getElementById("certificateSelectInputDiv").innerHTML = "";
                    document.getElementById("errorText").style.display = "none";
                });
                document.getElementById("certificateSelectInputDiv").innerHTML = "Indtast bruger-id";
                document.getElementById("userInput").onblur = (function () { populateCertificateSelect(-1); });
                var username = "<%=username%>";
                document.getElementById("userInput").value = username;
                if (username != "") {
                    document.getElementById("rememberme").checked = "checked";
                }
                document.getElementById("userInput").focus();
                populateCertificateSelect(0);
                var err = "<%=error%>";
                if (err === "True") {
                    document.getElementById("passwordInput").style.borderColor = "red";
                    document.getElementById("passwordInput").focus();
                    document.getElementById("errorText").style.display = 'block';
                } else {
                    document.getElementById("errorText").style.display = "none";
                }

            })();
        </script>
    </div>
    </form>
    </body>
</html>
