﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Sign.aspx.cs" Inherits="reference_lss.Sign" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>LSS signing</title>
    <script type="text/javascript" src="<%= ResolveUrl("~/Scripts/jquery-1.7.1.min.js") %>"></script>
    <link rel="stylesheet" type="text/css" href="<%=ResolveUrl("~/css/templatecss.css") %>"/>
    <script type="text/javascript" src="Scripts/helppopup.js"></script>
    <script type="text/javascript" src="Scripts/pdf.js"></script>
    <script type="text/javascript" src="Scripts/base64.js"></script>
    <script type="text/javascript" src="Scripts/cancel.js"></script>
    <script type="text/javascript" src="Scripts/populate.js"></script>
</head>
<body>
    <form id="form1" runat="server" action="DoSign.aspx">
        <div id="helpuser" class="signHelpPopup">
            <div>
                <span class="signHelpPopupHeader">LSS implementation</span>
             </div>
             <div class="signHelpPopupContent">
                <span class="helpPopupContentHeader">Hjælp til bruger-id</span> 
                <p>
                    Som bruger-id kan du bruge det bruger-id du har på Signatur opbevaringen. Hvis du ikke kan huske det 
                    eller hvis du ikke har et skal du henvende dig hos administratoren af Signatur opbevaringen.
                </p>
            </div>
            <div class="helpPopupCloseLinkArea">
                <a onclick="hideHelp('helpuser')">
                    <span style="cursor: pointer" class="helpPopupClose">Luk</span>
                </a>
            </div>
        </div>

    <div class="signArea">
        <div>
            <asp:TextBox style="display: none; resize: none" ID="SigntextBox" CssClass="signTextBox" runat="server" Text="" TextMode="MultiLine" ReadOnly="True" Wrap="True"/>
            <%=RenderSignText() %>
        </div>
        <div class="signCredentialsArea">
            <div style="float:right">
                <input type="button" id="helpButton" value="?" class="signHelpButton" tabindex="6"/>
            </div>
            <div class="signLabeledInput">
                <span  class="signInputLabel">Bruger-id</span>
                <div style="width: 100%">
                    <input id="userInput" class="signInputField" type="text" name="brugernavn" tabindex="1"/> 
                </div>
                <div style="float:right; margin-right: 30px; font-size: 10pt">
                    <input type="checkbox" name="rememberme" id="rememberme" tabindex="2"/>
                    Husk bruger-id
                </div>
            </div>
                
            <div class="signLabeledInput">
                <span class="signInputLabel">Adgangskode</span>
                <div>
                    <input id="passwordInput" class="signInputField" type="password" autocomplete="off" name="password" tabindex="3"/>
                </div>
            </div>
            <div id="certificateSelectDiv" class="signLabeledInput">
                <span  class="signInputLabel">Certifikat</span>
                <div style="width: 100%" id="certificateSelectInputDiv">
                    Indtast bruger-id
                </div>                    
            </div>
            
            <div style="min-height:15px">
                <span id="errorText" class="signErrorText">Fejl i adgangskode</span>
            </div>
    
            <div class="signCompanyLabelArea">
                <span class="signCompanyLabel">LSS-Implementation</span>
            </div>    

            <input type="submit" class="signButton" value="Signer" tabindex="5"/>
            <input type="button" id="cancelbutton" class="signCancelButton" value="Fortryd" tabindex="6"/>
        </div>
    </div>
        <script>
            (function () {
                document.getElementById('helpButton').onclick = (function () { showHelp('helpuser'); });
                if (document.getElementById('SigntextBox')) {
                    document.getElementById('SigntextBox').style.fontFamily = "<%=GetMonospaceCss()%>";
                    document.getElementById('SigntextBox').style.display = "<%=IsVisable()%>";
                }
                document.getElementById("userInput").onkeydown = (function () {
                    document.getElementById("certificateSelectInputDiv").innerHTML = "";
                    document.getElementById("passwordInput").style.borderColor = "";
                    document.getElementById("userInput").style.borderColor = "";
                    document.getElementById("errorText").style.display = "none";
                });
                document.getElementById("cancelbutton").onclick = CancelButtonPressed;
                document.getElementById("userInput").onblur = (function () { populateCertificateSelect(-1); });
                var username = "<%=username%>";
                document.getElementById("userInput").value = username;
                if (username != "") {
                    document.getElementById("rememberme").checked = "checked";
                }
                document.getElementById("userInput").focus();
                populateCertificateSelect(0);
                var error = "<%=error%>";
                if (error == "True") {
                    document.getElementById("passwordInput").style.borderColor = 'red';
                    document.getElementById("errorText").style.display = 'block';
                    document.getElementById("passwordInput").focus();
                }
                
            })();
        </script>
    </form>
</body>
</html>
