﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SignPdf.aspx.cs" Inherits="reference_lss.SignPdf" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>LSS signing</title>
    <script type="text/javascript" src="<%= ResolveUrl("~/Scripts/jquery-1.7.1.min.js") %>"></script>
    <link rel="stylesheet" type="text/css" href="<%=ResolveUrl("~/css/templatecss.css") %>"/>
    <script type="text/javascript" src="Scripts/helppopup.js"></script>
    <script type="text/javascript" src="Scripts/pdf.js"></script>
    <script type="text/javascript" src="Scripts/base64.js"></script>
    <script type="text/javascript" src="Scripts/cancel.js"></script>
    <script type="text/javascript" src="Scripts/populate.js"></script>
</head>
<body>
    <form id="form1" runat="server" action="DoSign.aspx">
        <div id="helpuser" class="helpPopup">
            <div class="helpPopupHeader">
                <div class="helpPopupCloseLinkArea">
                    <a onclick="hideHelp('helpuser')" class="helpPopupClose">Luk[x]</a>
                </div>
            </div>
            <div class="helpPopupContent">
                <span class="helpPopupContentHeader">Bruger-id</span>
                <p>
                    Her står en hjælpetekst om bruger-id.
                </p>
            </div>
        </div>
        
        <div id="helppassword" class="helpPopup">
            <div class="helpPopupHeader">
                <div class="helpPopupCloseLinkArea">
                    <a onclick="hideHelp('helppassword')" class="helpPopupClose">Luk[x]</a>
                </div>
            </div>
            <div class="helpPopupContent">
                <span class="helpPopupContentHeader">Adgangskode</span>
                <p>
                    Her står en hjælpetekst om adgangskoden.
                </p>
            </div>
        </div>

    <div class="signArea">
        <div id="wrapper" style="width: 100%; height: 58vh; overflow: auto; -webkit-overflow-scrolling: touch;">
            <iframe src="PdfFeeder.aspx" style="height:96%; width:98%"></iframe>
        </div>
        <div class="signCredentialsArea">
            <div class="signPrintArea">
                <a href="#" class="signPrintLink">Print</a>
            </div>
                <div class="signLabeledInput">
                    <span  class="signInputLabel">Bruger-id</span>
                    <div style="width: 100%">
                        <input id="userInput" class="signInputField" type="text" name="brugernavn" tabindex="1"/> 
                        <input type="button" onclick="showHelp('help')" class="signHelpButton" value="?"/>                                          
                    </div>
                </div>
                
                <div class="signLabeledInput">
                    <span  class="signInputLabel">Certifikat</span>
                    <div style="width: 100%">
                        <select id="certificateSelect" style="width:145px" name="certifikat"></select>
                        <input type="button" onclick="showHelp('help')" class="signHelpButton" value="?"/>                                          
                    </div>                    
                </div>
            <div class="signLabeledInput">
                <span class="signInputLabel">Adgangskode</span>
                <div>
                    <input class="signInputField" type="password" autocomplete="off" name="password" tabindex="2"/>
                    <input type="button" onclick="showHelp('helppassword')" class="signHelpButton"  value="?"/>                    
                </div>
            </div>
    
            <div class="signCompanyLabelArea">
                <span class="signCompanyLabel">LSS-Implementation</span>
            </div>    

            <input type="submit" value="Signer" tabindex="4"/>
            <input id="cancelbutton" type="button" value="Fortryd" tabindex="5"/>
        </div>
    </div>
        <script>
            (function() {
                if (document.getElementById('SigntextBox')) {
                    document.getElementById('SigntextBox').style.fontFamily = "<%=GetMonospaceCss()%>";
                    document.getElementById('SigntextBox').style.display = "<%=IsVisable()%>";
                    document.getElementById('the-canvas').style.display = "<%=IsPdfViewVisable()%>";
                    document.getElementById('SigntextBox').style.height = (window.parent.$("mocescss_iframe").height()) + 'px';
                }

                document.getElementById("cancelbutton").onclick = CancelButtonPressed;
            })();
        </script>
    </form>
</body>
</html>
